%define module Clutter
%define modulever 0.600

%define name clutter-perl
%define version 0.6.0.0
%define rel 1
%define svn 0
%if %svn
%define release %mkrel 0.%svn.%rel
%else
%define release %mkrel %rel
%endif

%define api 1.0

Summary:       Perl bindings for clutter
Name:          %{name}
Version:       %{version}
Release:       %{release}
%if %svn
Source0:       %{name}-%{svn}.tar.bz2
%else
Source0:       %{name}-%{version}.tar.bz2
%endif
License:       LGPL
Group:         Graphics
Url:           http://clutter-project.org/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: clutter-devel
BuildRequires: clutter-cairo-devel
BuildRequires: clutter-gst-devel
BuildRequires: clutter-gtk-devel
BuildRequires: perl-devel
BuildRequires: perl-Gtk2
BuildRequires: perl-GStreamer
BuildRequires: perl-ExtUtils-Depends
BuildRequires: perl-ExtUtils-PkgConfig


%description
Perl bindings for clutter

#----------------------------------------------------------------------------

%package -n perl-%{module}
Summary:       Perl bindings for clutter
Group:         Graphics
Provides:      pyclutter = %{version}-%{release}

%description -n perl-%{module}
Perl bindings for clutter

#----------------------------------------------------------------------------

%prep
%if %svn
%setup -q -n %name
./autogen.sh -V
%else
%setup -q -n %{module}-%{modulever}
%endif

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %buildroot

%makeinstall_std

%clean
rm -rf %buildroot

%files -n perl-%{module}
%defattr(-,root,root)
%{perl_vendorarch}/%module
%{perl_vendorarch}/%module.pm
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Gtk2/%{module}Embed.pod
%{_mandir}/*/*


%changelog
* Wed Feb 20 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.0.0-1mdv2008.1
+ Revision: 173179
- New version

* Thu Jan 24 2008 Colin Guthrie <cguthrie@mandriva.org> 0.4.1.0-2mdv2008.1
+ Revision: 157488
- Bump release for buildsystem lock.
- New upstream version 0.4..01

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 09 2007 Colin Guthrie <cguthrie@mandriva.org> 0.4.1-1mdv2008.0
+ Revision: 60732
- Add BuildRequires for perl-devel
- Add perl-Gtk2 build deps
- Import clutter-perl

